#!/usr/bin/perl

use strict;
use warnings;
use utf8;
use Getopt::Long;
use List::Util qw(sum min max shuffle);
binmode STDIN, ":utf8";
binmode STDOUT, ":utf8";
binmode STDERR, ":utf8";

my $ARG = "";
GetOptions(
"arg=s" => \$ARG,
);

if(@ARGV != 1) {
    print STDERR "Usage: $0 sizes\n";
    exit 1;
}

open FILE0, "<:utf8", $ARGV[0] or die "Couldn't open $ARGV[0]\n";
my %sizes;
my $total = 0;
while(<FILE0>) {
    chomp;
    $sizes{scalar(split(/ /))}++;
    $total++;
}

while(<STDIN>) {
    chomp;
    my @arr = split(/ /);
    if($sizes{scalar(@arr)}) {
        print "$_\n";
        $sizes{scalar(@arr)}--;
        last if not --$total;
    }
}
