#!/bin/bash

# Change these to your paths to KyTea and RNNLM:
#  KyTea: http://www.phontron.com/kytea/
#  RNNLM: http://www.fit.vutbr.cz/~imikolov/rnnlm/
KYTEA=kytea
RNNLM=~/usr/local/rnnlm-0.3e/rnnlm

HIDDEN=200
CLASS=1
BPTT=5

wget -O program-2008.html http://www.anlp.jp/guide/nenji/anlp2008/program.html
wget -O program-2009.html http://www.anlp.jp/guide/nenji/anlp2009/program.html
wget -O program-2010.html http://www.anlp.jp/proceedings/annual_meeting/2010/html/program.html
wget -O program-2011.html http://www.anlp.jp/proceedings/annual_meeting/2011/html/program.html
wget -O program-2012.html http://www.anlp.jp/proceedings/annual_meeting/2012/html/program.html
wget -O program-2013.html http://www.anlp.jp/proceedings/annual_meeting/2013/html/program.html

# Extract
cat *.html | ./extract-title.pl | $KYTEA | ./combine-predicate.pl -verb > title.txt

# Split
./splittesttrain.pl 20 title-test.txt title-train.txt < title.txt

# RNNLM
rm model-$HIDDEN.txt
~/usr/local/rnnlm-0.3e/rnnlm -independent -train title-train.txt -rnnlm model-$HIDDEN.txt -valid title-test.txt -bptt $BPTT -hidden $HIDDEN -class $CLASS -min-improvement 1.0001

# Gen
~/usr/local/rnnlm-0.3e/rnnlm -independent -rnnlm model-$HIDDEN.txt -gen 10000000 | tail -n +4 | ./fill.pl title-train.txt | shuf | sed 's/ //g' > gen-$HIDDEN.txt

